Skip to content

Get driver check

Request

Get a previously created driver check with a given id

Security
get-bearer-token-using-oauth2
Path
driver_check_idstring, (uuid)required

the uuid identifying the driver check

Example:2b8313e8-4efd-45a1-b578-952b8313e890
Query
include[]Array of strings

Embed the profile in the response in place of profile_id.

Items ValueDescription
profile

Embeds the full profile object in place of profile_id.

Examples:
Single value
include[]=["profile"]
curl -i -X GET \
  'https://api.checkrtrust.com/v1/driver_checks/2b8313e8-4efd-45a1-b578-952b8313e890?include%5B%5D=profile' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

OK

Bodyapplication/json
One of:
idstring, (uuid)(uuid)

A universally unique identifier (UUID) in standard format.

Example:"2b8313e8-4efd-45a1-b578-952b8313e890"
created_atstring, (date-time)(datetime)

An ISO 8601 formatted date-time string.

Example:"2020-01-01T00:00:00Z"
completed_atdatetime (string) or datetime (null) or null
One of:

An ISO 8601 formatted date-time string.

string (date-time)(datetime)
resultsdriver_license_status_result (object) or motor_vehicle_report_result (object) or driver_license_status_result (null) or motor_vehicle_report_result (null) or null
One of:

Results, or null if not completed. The structure depends on the value of check_type.

check_typestring(check_type)
Enum:"driver_license_status""motor_vehicle_report"
reference_idstring(reference_id)(?=^[a-zA-Z0-9_-]{1,64}$)(?=^[a-zA-Z0-9_-]{1,...

A reference identifier for linking related records. Limited to 64 alphanumeric characters, underscores, and hyphens.

Example:"ref-123"
profile_idstring, (uuid)(profile_id)required

Identifier of an existing profile containing search criteria.

Example:"2b8313e8-4efd-45a1-b578-952b8313e890"
Response
{ "profile_id": "2b8313e8-4efd-45a1-b578-952b8313e890", "id": "2b8313e8-4efd-45a1-b578-952b8313e890", "created_at": "2020-01-01T00:00:00Z", "completed_at": "2020-01-01T00:00:00Z", "results": { "requested_profile": { … }, "passenger": { … } }, "check_type": "driver_license_status", "reference_id": "ref-123" }